public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/libg/
Date: Fri, 30 Apr 2021 13:59:36 +0000 (UTC)	[thread overview]
Message-ID: <1619791127.f7636b962a8723843e7ca5dd25a381eab83b60b9.fordfrog@gentoo> (raw)

commit:     f7636b962a8723843e7ca5dd25a381eab83b60b9
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Thu Apr 29 09:08:05 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Apr 30 13:58:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7636b96

dev-java/libg: min java 1.8

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/20588
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/libg/libg-2.1.0-r2.ebuild | 48 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/dev-java/libg/libg-2.1.0-r2.ebuild b/dev-java/libg/libg-2.1.0-r2.ebuild
new file mode 100644
index 00000000000..4ac55d9243b
--- /dev/null
+++ b/dev-java/libg/libg-2.1.0-r2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="test"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="Lots of small utilities for bndlib, a swiss army knife for OSGi"
+HOMEPAGE="https://bnd.bndtools.org/"
+SRC_URI="https://github.com/bndtools/bnd/archive/${PV}.REL.tar.gz -> bndlib-${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~ppc64 x86"
+
+# Tests depend on biz.aQute.junit, which depends on biz.aQute.bndlib, which on
+# its own turn again depends on aQute.libg again; we can temporarily assume that
+# if bndlib tests pass that libg is sufficiently tested, in the future we should
+# look whether it is feasible to combine the packages or otherwise temporarily
+# build biz.aquite.bndlib and biz.aqute.junit in this package.
+RESTRICT="test"
+
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+S="${WORKDIR}/bnd-${PV}.REL/aQute.${PN}"
+
+EANT_BUILD_TARGET="build"
+
+src_prepare() {
+	default
+	# Move the correct build.xml into place, needed for testing.
+	cp ../cnf/build.xml . || die "Failed to move build file into the right place."
+
+	# Remove bundled jar files.
+	find . -name '*.jar' -delete
+
+	# Remove test files
+	if ! use test ; then
+		find src/test -name '*.java' -delete || die "Failed to remove test files."
+	fi
+}
+
+src_install() {
+	java-pkg_newjar generated/aQute.${PN}.jar
+}


             reply	other threads:[~2021-04-30 13:59 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-30 13:59 Miroslav Šulc [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-14 19:32 [gentoo-commits] repo/gentoo:master commit in: dev-java/libg/ Miroslav Šulc
2024-01-12  8:17 Arthur Zamarin
2024-01-11 19:49 Florian Schmaus
2023-12-29 22:43 Sam James
2023-12-29 22:43 Sam James
2023-12-29 21:41 Sam James
2023-12-16  2:45 Sam James
2023-11-29 13:18 Arthur Zamarin
2023-11-29 13:18 Arthur Zamarin
2023-11-29  9:24 Miroslav Šulc
2022-02-09  1:25 Sam James
2022-01-07 20:42 Arthur Zamarin
2022-01-07 20:40 Arthur Zamarin
2021-11-26  8:44 Sam James
2021-04-30 13:59 Miroslav Šulc
2020-07-12 12:34 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1619791127.f7636b962a8723843e7ca5dd25a381eab83b60b9.fordfrog@gentoo \
    --to=fordfrog@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox